# fnvc/__init__.py
# See LICENSE file for full license details.
# Copyright (c) 2024, National Institute of Advanced Industrial Science and Technology (AIST). All rights reserved.
"""FaultNVC: Earthquake Fault Plane Extractor through Point-Cloud Normal Vector Clustering for Hypocenter Distributions

This package FaultNVC performs a single clustering of earthquake hypocenters with point-cloud normal vectors to extract planar fault planes. 
FaultNVC is a Python package built upon a robust class-based architecture. 
This package is under development, so any bug reports and suggestions are welcome!

Copyright (c) 2024, National Institute of Advanced Industrial Science and Technology (AIST). All rights reserved.
"""


from .clustering import FaultHDBSCAN
from .utils import compute_fault_param

__version__ = "0.2.0"
__author__ = ['Yasunori Sawaki']