# test_install.py
# See LICENSE file for full license details.
# Copyright (c) 2024, National Institute of Advanced Industrial Science and Technology (AIST). All rights reserved.


import sys
import os
from pathlib import Path
import subprocess
import warnings
import importlib

import pytest


# class SimpleWarning(UserWarning):
#     def __str__(self):
#         return str(self.args[0])

def test_install():
    # Required packages
    import numpy as np
    import numba
    import matplotlib.pyplot as plt
    import sklearn
    import pandas as pd
    from joblib import Parallel, delayed
    import pyproj
    import hdbscan

    # This module
    import fnvc

@pytest.mark.filterwarnings("default::UserWarning")
def test_install_optional_packages():
    optional_packages = [
        'cartopy', 
        'plotly', 
        'colorcet',
    ]

    for package in optional_packages:
        try:
            importlib.import_module(package)
        except ImportError:
            warnings.warn(f"Optional package {package} is not installed.")